com.holonplatform.core.query.lock

## Enum LockMode

- java.lang.Object
- - java.lang.Enum<LockMode>
  - - com.holonplatform.core.query.lock.LockMode

- All Implemented Interfaces:
    Serializable, Comparable<LockMode>

      public enum LockMode
      extends Enum<LockMode>

  Available query lock modes.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PESSIMISTIC` Pessimistic write lock

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LockMode` | `getDefault()` Get the default lock mode
    `static LockMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LockMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PESSIMISTIC

          public static final LockMode PESSIMISTIC

      Pessimistic write lock

  - ### Method Detail

    - #### values

          public static LockMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockMode c : LockMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefault

          public static LockMode getDefault()

      Get the default lock mode
      Returns:
        Default lock mode

Copyright © 2019 The Holon Platform. All rights reserved.